<?php

return array(
	'id'          => 'ozy_buildme_meta_page',
	'types'       => array('page'),
	'title'       => esc_attr__('Page Options', 'buildme'),
	'priority'    => 'high',
	'template'    => array(
		array(
			'type' => 'select',
			'name' => 'ozy_buildme_meta_page_custom_menu',
			'label' => esc_attr__('Custom Menu', 'buildme'),
			'description' => esc_attr__('You can select a custom menu for this page.', 'buildme'),
			'items' => array(
				'data' => array(
					array(
						'source' => 'function',
						'value' => 'vp_bind_ozy_buildme_list_wp_menus',
					),
				),
			),
			'default' => '-1',
		),
		array(
			'type' => 'select',
			'name' => 'ozy_buildme_meta_page_revolution_slider',
			'label' => esc_attr__('Revolution Header Slider', 'buildme'),
			'description' => esc_attr__('You can select a header slider if you have installed and activated Revolution Slider which comes bundled with your theme.', 'buildme'),
			'items' => array(
				'data' => array(
					array(
						'source' => 'function',
						'value' => 'vp_bind_ozy_buildme_revolution_slider',
					),
				),
			),
			'default' => '{{first}}',
		),
		array(
			'type' => 'select',
			'name' => 'ozy_buildme_meta_page_master_slider',
			'label' => esc_attr__('Master Header Slider', 'buildme'),
			'description' => esc_attr__('You can select a header slider if you have installed and activated Master Slider which comes bundled with your theme.', 'buildme'),
			'items' => array(
				'data' => array(
					array(
						'source' => 'function',
						'value' => 'vp_bind_ozy_buildme_master_slider',
					),
				),
			),
			'default' => '{{first}}',
		),		


		array(
			'type' => 'toggle',
			'name' => 'ozy_buildme_meta_page_use_footer_slider',
			'label' => esc_attr__('Use Footer Slider', 'buildme'),
			'description' => esc_attr__('You can use footer slider with header slider too.', 'buildme'),
		),
		array(
			'type'      => 'group',
			'repeating' => false,
			'length'    => 1,
			'name'      => 'ozy_buildme_meta_page_use_footer_slider_group',
			'title'     => esc_attr__('Footer Slider', 'buildme'),
			'dependency' => array(
				'field'    => 'ozy_buildme_meta_page_use_footer_slider',
				'function' => 'vp_dep_boolean',
			),
			'fields'    => array(
				array(
					'type' => 'select',
					'name' => 'ozy_buildme_meta_page_revolution_footer_slider',
					'label' => esc_attr__('Revolution Footer Slider', 'buildme'),
					'description' => esc_attr__('You can select a footer slider if you have installed and activated Revolution Slider which comes bundled with your theme.', 'buildme'),
					'items' => array(
						'data' => array(
							array(
								'source' => 'function',
								'value' => 'vp_bind_ozy_buildme_revolution_slider',
							),
						),
					),
					'default' => '{{first}}',
				),
				array(
					'type' => 'select',
					'name' => 'ozy_buildme_meta_page_master_footer_slider',
					'label' => esc_attr__('Master Footer Slider', 'buildme'),
					'description' => esc_attr__('You can select a footer slider if you have installed and activated Master Slider which comes bundled with your theme.', 'buildme'),
					'items' => array(
						'data' => array(
							array(
								'source' => 'function',
								'value' => 'vp_bind_ozy_buildme_master_slider',
							),
						),
					),
					'default' => '{{first}}',
				),				
			),
		),

		array(
			'type' => 'toggle',
			'name' => 'ozy_buildme_meta_page_show_loader',
			'label' => esc_attr__('Show Loading Screen', 'buildme'),
			'description' => esc_attr__('Check this option to display a loading screen for this page only.', 'buildme'),
		),
		array(
			'type' => 'radiobutton',
			'name' => 'ozy_buildme_meta_page_hide_footer_widget_bar',
			'label' => esc_attr__('Footer Bars Visiblity', 'buildme'),
			'description' => esc_attr__('By this option you can hide footer bars as you wish.', 'buildme'),
			'items' => array(
				array(
					'value' => '-1',
					'label' => esc_attr__('All Visible', 'buildme'),
				),
				array(
					'value' => '1',
					'label' => esc_attr__('Hide Widget Bar', 'buildme'),
				),
				array(
					'value' => '2',
					'label' => esc_attr__('Hide Widget Bar and Footer', 'buildme'),
				),
			),
			'default' => array(
				'-1',
			),
		),
		


		array(
			'type' => 'toggle',
			'name' => 'ozy_buildme_meta_page_hide_title',
			'label' => esc_attr__('Hide Page Title', 'buildme'),
			'description' => esc_attr__('Page title will not be shown on the page.', 'buildme'),
		),
		
		array(
			'type' => 'toggle',
			'name' => 'ozy_buildme_meta_page_use_no_content_padding',
			'label' => esc_attr__('No content top padding', 'buildme'),
			'description' => esc_attr__('Check this option to disable the padding top of your content (after page title).', 'buildme'),
		),		
		array(
			'type' => 'toggle',
			'name' => 'ozy_buildme_meta_page_use_custom_title',
			'label' => esc_attr__('Custom Header/Title', 'buildme'),
			'description' => esc_attr__('There are several options to help you customize your page header.', 'buildme'),
		),
		array(
			'type'      => 'group',
			'repeating' => false,
			'length'    => 1,
			'name'      => 'ozy_buildme_meta_page_use_custom_title_group',
			'title'     => esc_attr__('Custom Header/Title Options', 'buildme'),
			'dependency' => array(
				'field'    => 'ozy_buildme_meta_page_use_custom_title',
				'function' => 'vp_dep_boolean',
			),
			'fields'    => array(	
				array(
					'type' => 'radiobutton',
					'name' => 'ozy_buildme_meta_page_custom_title_position',
					'label' => esc_attr__('Title Position', 'buildme'),
					'items' => array(
						array(
							'value' => 'left',
							'label' => esc_attr__('Left', 'buildme'),
						),
						array(
							'value' => 'right',
							'label' => esc_attr__('Right', 'buildme'),
						),
						array(
							'value' => 'center',
							'label' => esc_attr__('Center', 'buildme'),
						),
					),
					'default' => array(
						'center',
					),
				),			
				array(
					'type'      => 'textbox',
					'name'      => 'ozy_buildme_meta_page_custom_title',
					'label'     => esc_attr__('Page Title', 'buildme'),
				),
				array(
					'type'      => 'color',
					'name'      => 'ozy_buildme_meta_page_custom_title_color',
					'label'     => esc_attr__('Title Color', 'buildme'),
					'default' => '',
					'format' => 'rgba'
				),				
				array(
					'type'      => 'textbox',
					'name'      => 'ozy_buildme_meta_page_custom_sub_title',
					'label'     => esc_attr__('Sub Title', 'buildme'),
				),
				array(
					'type'      => 'color',
					'name'      => 'ozy_buildme_meta_page_custom_sub_title_color',
					'label'     => esc_attr__('Sub Title Color', 'buildme'),
					'default' => '',
					'format' => 'rgba'
				),				
				array(
					'type'      => 'color',
					'name'      => 'ozy_buildme_meta_page_custom_title_bgcolor',
					'label'     => esc_attr__('Header Background Color', 'buildme'),
					'default' => '',
					'format' => 'rgba'
				),				
				array(
					'type'      => 'upload',
					'name'      => 'ozy_buildme_meta_page_custom_title_bg',
					'label'     => esc_attr__('Header Image', 'buildme'),
					'description'=> esc_attr__('Please use images like 1600px, 2000px wide and have a minimum height like 475px for good results.', 'buildme'),
				),
				array(
					'type' => 'radiobutton',
					'name' => 'ozy_buildme_meta_page_custom_title_bg_x_position',
					'label' => esc_attr__('Background X-Position', 'buildme'),
					'items' => array(
						array(
							'value' => 'left',
							'label' => esc_attr__('Left', 'buildme'),
						),
						array(
							'value' => 'right',
							'label' => esc_attr__('Right', 'buildme'),
						),
						array(
							'value' => 'center',
							'label' => esc_attr__('Center', 'buildme'),
						),
						array(
							'value' => 'top',
							'label' => esc_attr__('Top', 'buildme'),
						),
						array(
							'value' => 'bottom',
							'label' => esc_attr__('Bottom', 'buildme'),
						),
					),
					'default' => array(
						'left',
					),
				),
				array(
					'type' => 'radiobutton',
					'name' => 'ozy_buildme_meta_page_custom_title_bg_y_position',
					'label' => esc_attr__('Background Y-Position', 'buildme'),
					'items' => array(
						array(
							'value' => 'left',
							'label' => esc_attr__('Left', 'buildme'),
						),
						array(
							'value' => 'right',
							'label' => esc_attr__('Right', 'buildme'),
						),
						array(
							'value' => 'center',
							'label' => esc_attr__('Center', 'buildme'),
						),
						array(
							'value' => 'top',
							'label' => esc_attr__('Top', 'buildme'),
						),
						array(
							'value' => 'bottom',
							'label' => esc_attr__('Bottom', 'buildme'),
						),
					),
					'default' => array(
						'top',
					),
				),				
				array(
					'type'      => 'textbox',
					'name'      => 'ozy_buildme_meta_page_custom_title_height',
					'label'     => esc_attr__('Header Height', 'buildme'),
					'description'=> esc_attr__('Height of your header in pixels? Don\'t include "px" in the string. e.g. 400', 'buildme'),
					'default'	=> 170,
					'validation' => 'numeric'
				),				
			),
		),
		array(
			'type' => 'toggle',
			'name' => 'ozy_buildme_meta_page_hide_content',
			'label' => esc_attr__('Hide Page Content', 'buildme'),
			'description' => esc_attr__('Page content will not be shown. Supposed to use with Video backgrounds or Fullscreen sliders.', 'buildme'),
		),		
		array(
			'type' => 'toggle',
			'name' => 'ozy_buildme_meta_page_use_sidebar',
			'label' => esc_attr__('Use Custom Sidebar', 'buildme'),
			'description' => esc_attr__('You can use custom sidebar individually.', 'buildme'),
		),
		array(
			'type'      => 'group',
			'repeating' => false,
			'length'    => 1,
			'name'      => 'ozy_buildme_meta_page_sidebar_group',
			'title'     => esc_attr__('Custom Sidebar', 'buildme'),
			'dependency' => array(
				'field'    => 'ozy_buildme_meta_page_use_sidebar',
				'function' => 'vp_dep_boolean',
			),
			'fields'    => array(
				array(
					'type' => 'radioimage',
					'name' => 'ozy_buildme_meta_page_sidebar_position',
					'label' => esc_attr__('Sidebar Position', 'buildme'),
					'description' => esc_attr__('Select one of available header type.', 'buildme'),
					'item_max_width' => '86',
					'items' => array(
						array(
							'value' => 'full',
							'label' => esc_attr__('No Sidebar', 'buildme'),
							'img' => OZY_BASE_URL . 'admin/images/full-width.png',
						),
						array(
							'value' => 'left',
							'label' => esc_attr__('Left Sidebar', 'buildme'),
							'img' => OZY_BASE_URL . 'admin/images/left-sidebar.png',
						),
						array(
							'value' => 'right',
							'label' => esc_attr__('Right Sidebar', 'buildme'),
							'img' => OZY_BASE_URL . 'admin/images/right-sidebar.png',
						)
					),
					'default' => '{{first}}',
				),			
				array(
					'type' => 'select',
					'name' => 'ozy_buildme_meta_page_sidebar',
					'label' => esc_attr__('Sidebar', 'buildme'),
					'items' => array(
						'data' => array(
							array(
								'source' => 'function',
								'value' => 'vp_bind_ozy_buildme_sidebars',
							),
						),
					),
				),											
			),
		),
		array(
			'type' => 'toggle',
			'name' => 'ozy_buildme_meta_page_use_custom_style',
			'label' => esc_attr__('Use Custom Style', 'buildme'),
			'description' => esc_attr__('Options to customize your page individually.', 'buildme'),
		),
		array(
			'type'      => 'group',
			'repeating' => false,
			'length'    => 1,
			'name'      => 'ozy_buildme_meta_page_layout_group',
			'title'     => esc_attr__('Layout Styling', 'buildme'),
			'dependency' => array(
				'field'    => 'ozy_buildme_meta_page_use_custom_style',
				'function' => 'vp_dep_boolean',
			),
			'fields'    => array(					
				array(
					'type' => 'color',
					'name' => 'ozy_buildme_meta_page_layout_ascend_background',
					'label' => esc_attr__('Background Color', 'buildme'),
					'description' => esc_attr__('This option will affect, main wrapper\'s background color.', 'buildme'),
					'default' => 'rgba(255,255,255,1)',
					'format' => 'rgba',
				),
				array(
					'type' => 'toggle',
					'name' => 'ozy_buildme_meta_page_layout_transparent_background',
					'label' => esc_attr__('Transparent Content Background', 'buildme'),
					'description' => esc_attr__('If you want, you can use transparent background for your content.', 'buildme'),
					'default' => '0',
				)														
			),
		),
		array(
			'type' => 'toggle',
			'name' => 'ozy_buildme_meta_page_use_custom_background',
			'label' => esc_attr__('Use Custom Background', 'buildme'),
			'description' => esc_attr__('Lots of options to customize your page background individually.', 'buildme'),
		),		
		array(
			'type'      => 'group',
			'repeating' => false,
			'name'      => 'ozy_buildme_meta_page_background_group',
			'title'     => esc_attr__('Background Styling', 'buildme'),
			'dependency' => array(
				'field'    => 'ozy_buildme_meta_page_use_custom_background',
				'function' => 'vp_dep_boolean',
			),
			'fields'    => array(					
				array(
					'type' => 'upload',
					'name' => 'ozy_buildme_meta_page_background_image',
					'label' => esc_attr__('Custom Background Image', 'buildme'),
					'description' => esc_attr__('Upload or choose custom page background image.', 'buildme'),
				),
				array(
					'type' => 'radiobutton',
					'name' => 'ozy_buildme_meta_page_background_image_size',
					'label' => esc_attr__('Background Image Size', 'buildme'),
					'description' => esc_attr__('Only available on browsers which supports CSS3.', 'buildme'),
					'items' => array(
						array(
							'value' => '',
							'label' => esc_attr__('-not set-', 'buildme'),
						),			
						array(
							'value' => 'cover',
							'label' => esc_attr__('cover', 'buildme'),
						),
						array(
							'value' => 'contain',
							'label' => esc_attr__('contain', 'buildme'),
						)
					),
					'default' => '{{first}}',
				),

				array(
					'type' => 'radiobutton',
					'name' => 'ozy_buildme_meta_page_background_image_pos_x',
					'label' => esc_attr__('Background Position X', 'buildme'),
					'items' => array(
						array(
							'value' => 'left',
							'label' => esc_attr__('left', 'buildme'),
						),			
						array(
							'value' => 'center',
							'label' => esc_attr__('center', 'buildme'),
						),
						array(
							'value' => 'right',
							'label' => esc_attr__('right', 'buildme'),
						)
					),
					'default' => 'left',
				),
				array(
					'type' => 'radiobutton',
					'name' => 'ozy_buildme_meta_page_background_image_pos_y',
					'label' => esc_attr__('Background Position Y', 'buildme'),
					'items' => array(
						array(
							'value' => 'top',
							'label' => esc_attr__('top', 'buildme'),
						),			
						array(
							'value' => 'center',
							'label' => esc_attr__('center', 'buildme'),
						),
						array(
							'value' => 'bottom',
							'label' => esc_attr__('bottom', 'buildme'),
						)
					),
					'default' => 'top',
				),				
				
				array(
					'type' => 'radiobutton',
					'name' => 'ozy_buildme_meta_page_background_image_repeat',
					'label' => esc_attr__('Background Image Repeat', 'buildme'),
					'items' => array(
						array(
							'value' => 'inherit',
							'label' => esc_attr__('inherit', 'buildme'),
						),			
						array(
							'value' => 'no-repeat',
							'label' => esc_attr__('no-repeat', 'buildme'),
						),
						array(
							'value' => 'repeat',
							'label' => esc_attr__('repeat', 'buildme'),
						),
						array(
							'value' => 'repeat-x',
							'label' => esc_attr__('repeat-x', 'buildme'),
						),
						array(
							'value' => 'repeat-y',
							'label' => esc_attr__('repeat-y', 'buildme'),
						)
					),
					'default' => '{{first}}',
				),
				array(
					'type' => 'radiobutton',
					'name' => 'ozy_buildme_meta_page_background_image_attachment',
					'label' => esc_attr__('Background Image Attachment', 'buildme'),
					'items' => array(
						array(
							'value' => '',
							'label' => esc_attr__('-not set-', 'buildme'),
						),			
						array(
							'value' => 'fixed',
							'label' => esc_attr__('fixed', 'buildme'),
						),
						array(
							'value' => 'scroll',
							'label' => esc_attr__('scroll', 'buildme'),
						),
						array(
							'value' => 'local',
							'label' => esc_attr__('local', 'buildme')
						)
					),
					'default' => '{{first}}',
				),										
				array(
					'type' => 'color',
					'name' => 'ozy_buildme_meta_page_background_color',
					'label' => esc_attr__('Background Color', 'buildme'),
					'description' => esc_attr__('This option will affect only page background.', 'buildme'),
					'default' => '#ffffff',
					'format' => 'hex',
				),
				array(
					'type' => 'toggle',
					'name' => 'ozy_buildme_meta_page_background_use_gmap',
					'label' => esc_attr__('Use Google Map', 'buildme'),
					'description' => esc_attr__('Instead of using a static background, you can use a Google Map as background.', 'buildme'),
				),					
				array(
					'type'      => 'group',
					'repeating' => false,
					'name'      => 'ozy_buildme_meta_page_background_gmap_group',
					'title'     => esc_attr__('Google Map', 'buildme'),
					'dependency' => array(
						'field'    => 'ozy_buildme_meta_page_background_use_gmap',
						'function' => 'vp_dep_boolean',
					),
					'fields'    => array(					
						array(
							'type' => 'textbox',
							'name' => 'ozy_buildme_meta_page_background_gmap_address',
							'label' => esc_attr__('iFrame Src', 'buildme'),
							'description' => esc_attr__('Enter src attribute of your Google Map iFrame.', 'buildme'),
						)												
					),
				),
				array(
					'type' => 'toggle',
					'name' => 'ozy_buildme_meta_page_background_use_slider',
					'label' => esc_attr__('Use Background Slider', 'buildme'),
					'description' => esc_attr__('Instead of using a static background, you can use background image slider.', 'buildme'),
				),					
				array(
					'type'      => 'group',
					'repeating' => true,
					'sortable' => true,
					'name'      => 'ozy_buildme_meta_page_background_slider_group',
					'title'     => esc_attr__('Slider Image', 'buildme'),
					'dependency' => array(
						'field'    => 'ozy_buildme_meta_page_background_use_slider',
						'function' => 'vp_dep_boolean',
					),
					'fields'    => array(					
						array(
							'type' => 'upload',
							'name' => 'ozy_buildme_meta_page_background_slider_image',
							'label' => esc_attr__('Slider Image', 'buildme'),
							'description' => esc_attr__('Upload or choose custom background image.', 'buildme'),
						)												
					),
				),
				array(
					'type' => 'toggle',
					'name' => 'ozy_buildme_meta_page_background_use_video_self',
					'label' => esc_attr__('Use Self Hosted Video', 'buildme'),
					'description' => esc_attr__('Instead of using a static background, you can use self hosted video.', 'buildme'),
				),					
				array(
					'type'      => 'group',
					'repeating' => false,
					'sortable' => false,
					'name'      => 'ozy_buildme_meta_page_background_video_self_group',
					'title'     => esc_attr__('Self Hosted Video', 'buildme'),
					'dependency' => array(
						'field'    => 'ozy_buildme_meta_page_background_use_video_self',
						'function' => 'vp_dep_boolean',
					),
					'fields'    => array(					
						array(
							'type' => 'upload',
							'name' => 'ozy_buildme_meta_page_background_video_self_image',
							'label' => esc_attr__('Poster Image', 'buildme'),
							'description' => esc_attr__('Upload or choose a poster image.', 'buildme'),
						),
						array(
							'type' => 'upload',
							'name' => 'ozy_buildme_meta_page_background_video_self_mp4',
							'label' => esc_attr__('MP4 File', 'buildme'),
							'description' => esc_attr__('Upload or choose a MP4 file.', 'buildme'),
						),
						array(
							'type' => 'upload',
							'name' => 'ozy_buildme_meta_page_background_video_self_webm',
							'label' => esc_attr__('WEBM File', 'buildme'),
							'description' => esc_attr__('Upload or choose a WEBM file.', 'buildme'),
						),
						array(
							'type' => 'upload',
							'name' => 'ozy_buildme_meta_page_background_video_self_ogv',
							'label' => esc_attr__('OGV File', 'buildme'),
							'description' => esc_attr__('Upload or choose an OGV file.', 'buildme'),
						)
					),
				),
				array(
					'type' => 'toggle',
					'name' => 'ozy_buildme_meta_page_background_use_video_youtube',
					'label' => esc_attr__('Use YouTube Video', 'buildme'),
					'description' => esc_attr__('Instead of using a static background, you can use YouTube video.', 'buildme'),
				),					
				array(
					'type'      => 'group',
					'repeating' => false,
					'sortable' => false,
					'name'      => 'ozy_buildme_meta_page_background_video_youtube_group',
					'title'     => esc_attr__('YouTube Video', 'buildme'),
					'dependency' => array(
						'field'    => 'ozy_buildme_meta_page_background_use_video_youtube',
						'function' => 'vp_dep_boolean',
					),
					'fields'    => array(					
						array(
							'type' => 'upload',
							'name' => 'ozy_buildme_meta_page_background_video_youtube_image',
							'label' => esc_attr__('Poster Image', 'buildme'),
							'description' => esc_attr__('Upload or choose a poster image.', 'buildme'),
						),
						array(
							'type' => 'textbox',
							'name' => 'ozy_buildme_meta_page_background_video_youtube_id',
							'label' => esc_attr__('YouTube Video ID', 'buildme'),
							'description' => esc_attr__('Enter YouTube video ID. http://www.youtube.com/watch?v=<span style="color:red;">mYKA-VokOtA</span> text marked with red is the ID you have to be looking for.', 'buildme'),
						)
					),
				),
				array(
					'type' => 'toggle',
					'name' => 'ozy_buildme_meta_page_background_use_video_vimeo',
					'label' => esc_attr__('Use Vimeo Video', 'buildme'),
					'description' => esc_attr__('Instead of using a static background, you can use Vimeo video.', 'buildme'),
				),					
				array(
					'type'      => 'group',
					'repeating' => false,
					'sortable' => false,
					'name'      => 'ozy_buildme_meta_page_background_video_vimeo_group',
					'title'     => esc_attr__('Vimeo Video', 'buildme'),
					'dependency' => array(
						'field'    => 'ozy_buildme_meta_page_background_use_video_vimeo',
						'function' => 'vp_dep_boolean',
					),
					'fields'    => array(					
						array(
							'type' => 'upload',
							'name' => 'ozy_buildme_meta_page_background_video_vimeo_image',
							'label' => esc_attr__('Poster Image', 'buildme'),
							'description' => esc_attr__('Upload or choose a poster image.', 'buildme'),
						),
						array(
							'type' => 'textbox',
							'name' => 'ozy_buildme_meta_page_background_video_vimeo_id',
							'label' => esc_attr__('Vimeo Video ID', 'buildme'),
							'description' => esc_attr__('Enter Vimeo video ID. http://vimeo.com/<span style="color:red;">71964690</span> text marked with red is the ID you have to be looking for.', 'buildme'),
						)
					),
				)
			),
		),
		array(
			'type' => 'radiobutton',
			'name' => 'ozy_buildme_meta_page_page_model',
			'label' => esc_attr__('Default Page Model', 'buildme'),
			'items' => array(
				array(
					'value' => 'generic',
					'label' => esc_attr__('Use From Theme Options', 'buildme'),
				),			
				array(
					'value' => 'boxed',
					'label' => esc_attr__('Boxed', 'buildme'),
				),
				array(
					'value' => 'full',
					'label' => esc_attr__('Full', 'buildme'),
				),
			),
			'default' => array(
				'{{first}}',
			),
		)				
	),	
);

/**
 * EOF
 */