<?php

return array(
	'id'          => 'ozy_buildme_meta_project',
	'types'       => array('ozy_project'),
	'title'       => esc_attr__('Project Options', 'buildme'),
	'priority'    => 'high',
	'template'    => array(
		array(
			'type' => 'toggle',
			'name' => 'ozy_buildme_meta_project_hide_meta_info',
			'label' => esc_attr__('Hide Meta Info', 'buildme'),
			'description' => esc_attr__('Check this box if you like to hide Meta Information section.', 'buildme'),
		),		
		array(
			'type'      => 'group',
			'repeating' => true,
			'sortable'	=> true,
			'name'      => 'ozy_buildme_meta_project_meta_info',
			'title'     => esc_attr__('Facts', 'buildme'),
			'fields'    => array(
				 array(
					'type' => 'fontawesome',
					'name' => 'ozy_buildme_meta_project_meta_info_icon',
					'label' => esc_attr__('Icon', 'buildme'),
					'description' => esc_attr__('Select an icon for your meta info', 'buildme'),
					'default' => array(
						'{{first}}',
					),
				),			
				array(
					'type' => 'textbox',
					'name' => 'ozy_buildme_meta_project_meta_info_label',
					'label' => esc_attr__('Label', 'buildme'),
					'description' => esc_attr__('Enter a label, like "City"', 'buildme'),
					'default' => ''
				),
				array(
					'type' => 'textbox',
					'name' => 'ozy_buildme_meta_project_meta_info_value',
					'label' => esc_attr__('Value', 'buildme'),
					'description' => esc_attr__('Type something, like "London"', 'buildme'),
					'default' => ''
				),						
			),
		),
		array(
			'type' => 'notebox',
			'name' => 'ozy_buildme_meta_project_video_files_infobox',
			'label' => esc_attr__('Video Files', 'buildme'),
			'description' => esc_attr__('Please only enter YouTube or Vimeo video ID at once, otherwise first entry will be ignored.', 'buildme'),
			'status' => 'info',
		),		
		array(
			'type'      => 'group',
			'repeating' => true,
			'sortable'	=> true,
			'name'      => 'ozy_buildme_meta_project_video_files',
			'title'     => esc_attr__('Video Files', 'buildme'),
			'fields'    => array(		
				array(
					'type' => 'upload',
					'name' => 'ozy_buildme_meta_project_meta_video_img',
					'label' => esc_attr__('Preview Image', 'buildme'),
					'description' => esc_attr__('upload', 'buildme'),
					'default' => ''
				),
				array(
					'type' => 'textbox',
					'name' => 'ozy_buildme_meta_project_meta_video_label',
					'label' => esc_attr__('Label', 'buildme'),
					'description' => esc_attr__('Enter any text as slide label', 'buildme'),
					'default' => ''
				),				
				array(
					'type' => 'textbox',
					'name' => 'ozy_buildme_meta_project_meta_video_youtube',
					'label' => esc_attr__('YouTube Video ID', 'buildme'),
					'description' => 'http://www.youtube.com/watch?v=<strong>XiBYM6g8Tck</strong> ' . esc_attr__('only bold part', 'buildme'),
					'default' => ''
				),
				array(
					'type' => 'textbox',
					'name' => 'ozy_buildme_meta_project_meta_video_vimeo',
					'label' => esc_attr__('Vimeo Video ID', 'buildme'),
					'description' => 'https://vimeo.com/<strong>121810910</strong> ' .esc_attr__('only bold part', 'buildme'),
					'default' => ''
				),			
			),
		),
		array(
			'type' => 'textbox',
			'name' => 'ozy_buildme_meta_project_map',
			'label' => esc_attr__('Google Map', 'buildme'),
			'description' => esc_attr__('Enter and absolute address or comma separated coordinates', 'buildme'),
			'default' => ''
		),							
	),
);

/**
 * EOF
 */