<?php
/**
* VC ROW
*/
vc_add_param("vc_row", array(
	"type" => 'checkbox',
	"heading" => esc_attr__("Full Width?", "buildme"),
	"param_name" => "row_fullwidth",
	"description" => esc_attr__("If selected, your row will be stretched to limits of the parent container.", "buildme"),
	"value" => Array(esc_attr__("Yes, please", "buildme") => '1')
));

vc_add_param("vc_row", array(
	"type" => 'checkbox',
	"heading" => esc_attr__("Vertical Centered Content?", "buildme"),
	"param_name" => "row_vertical_center",
	"description" => esc_attr__("If selected, elements in the columns will be tried to aligned as verticaly centered.", "buildme"),
	"value" => Array(esc_attr__("Yes, please", "buildme") => '1')
));

vc_add_param("vc_row", array(
	"type" => 'checkbox',
	"heading" => esc_attr__("Full Height?", "buildme"),
	"param_name" => "row_fullheight",
	"description" => esc_attr__("If selected, your row will be stretched to limits of the document. Useful to build single page sites.", "buildme"),
	"value" => Array(esc_attr__("Yes, please", "buildme") => '1')
));

vc_add_param("vc_row", array(
	"type" => 'checkbox',
	"heading" => esc_attr__("Zero Column Space?", "buildme"),
	"param_name" => "row_zero_column_space",
	"description" => esc_attr__("If selected, your columns inside this row will have no horizontal space between themselves.", "buildme"),
	"value" => Array(esc_attr__("Yes, please", "buildme") => '1')
));

if (defined('WPB_VC_VERSION')) { /*font color option removed after 4.4.0, so, add it back*/
	if(version_compare(WPB_VC_VERSION, '4.4.0','>')){
		vc_add_param("vc_row", array(
			"type" => "colorpicker",
			"heading" => esc_attr__('Font Color', 'buildme'),
			"param_name" => "font_color",
			"description" => esc_attr__("Select font face color", "buildme"),
			"group" => esc_attr__("Custom Design Options", "buildme")
		));
	}
}

vc_add_param("vc_row", array(
	"type" => 'dropdown',
	"heading" => esc_attr__("Parallax?", "buildme"),
	"param_name" => "bg_parallax",
	"description" => esc_attr__("If selected, parallax effect will be applied on background image.", "js_composer"),
	"value" => array("", "off", "on"),
	"group" => esc_attr__("Custom Design Options", "buildme")
));

vc_add_param("vc_row", array(
	"type" => "dropdown",
	"heading" => esc_attr__('Background Scroll', 'buildme'),
	"param_name" => "bg_scroll",
	"value" => array(
			  esc_attr__(" ", 'wpb') => '',
			  esc_attr__("Left", 'wpb') => 'h,-1',
			  esc_attr__("Right", 'wpb') => 'h,1',
			  esc_attr__('Top', 'wpb') => 'y,-1',
			  esc_attr__('Bottom', 'wpb') => 'y,1'
			),
	"description" => esc_attr__("Please do not use with other Background Options", "buildme"),
	"group" => esc_attr__("Custom Design Options", "buildme")
));

vc_add_param("vc_row", array(
	"type" => "textfield",
	"heading" => esc_attr__("Minimum Height", "buildme"),
	"param_name" => "row_min_height",
	"description" => esc_attr__("Set minimum height of your row in pixels. Not required", "buildme")
));

vc_add_param("vc_row", array(
	"type" => 'dropdown',
	"heading" => esc_attr__("Background Slider", "buildme"),
	"param_name" => "bg_slider",
	"description" => esc_attr__("If selected, you can select background images for your row.", "buildme"),
	"value" => array("", "off", "on"),
	"group" => esc_attr__("Custom Design Options", "buildme")
));

vc_add_param("vc_row", array(
	"type" => "attach_images",
	"heading" => esc_attr__("Images", "buildme"),
	"param_name" => "bg_slider_images",
	"description" => esc_attr__("Select images for your slider", "buildme"),
	"dependency" => Array('element' => "bg_slider", 'value' => 'on'),
	"group" => esc_attr__("Custom Design Options", "buildme")
));

vc_add_param("vc_row", array(
	"type" => 'dropdown',
	"heading" => esc_attr__("Video Background", "buildme"),
	"param_name" => "bg_video",
	"description" => esc_attr__("If selected, you can set background of your row as video.", "js_composer"),
	"value" => array("", "off", "on"),
	"group" => esc_attr__("Custom Design Options", "buildme")
));

vc_add_param("vc_row", array(
	"type" => "textfield",
	"heading" => esc_attr__("MP4 File", "buildme"),
	"param_name" => "bg_video_mp4",
	"description" => esc_attr__("MP4 Video file path", "buildme"),
	"dependency" => Array('element' => "bg_video", 'value' => 'on'),
	"group" => esc_attr__("Custom Design Options", "buildme")
));

vc_add_param("vc_row", array(
	"type" => "textfield",
	"heading" => esc_attr__("WEBM File", "buildme"),
	"param_name" => "bg_video_webm",
	"description" => esc_attr__("WEBM Video file path", "buildme"),
	"dependency" => Array('element' => "bg_video", 'value' => 'on'),
	"group" => esc_attr__("Custom Design Options", "buildme")
));

vc_add_param("vc_row", array(
	"type" => "textfield",
	"heading" => esc_attr__("OGV File", "buildme"),
	"param_name" => "bg_video_ogv",
	"description" => esc_attr__("OGV Video file path", "buildme"),
	"dependency" => Array('element' => "bg_video", 'value' => 'on'),
	"group" => esc_attr__("Custom Design Options", "buildme")
));

vc_add_param("vc_row", array(
	"type" => "attach_image",
	"heading" => __("Poster Image", "buildme"),
	"param_name" => "bg_poster_image",
	"description" => __("Poster Image, that will be used as a place holder on mobile devices.", "buildme"),
	"dependency" => Array('element' => "bg_video", 'value' => 'on'),
	"group" => __("Custom Design Options", "buildme")
));

vc_add_param("vc_row", array(
	"type" => "colorpicker",
	"heading" => esc_attr__('Overlay Background', 'buildme'),
	"param_name" => "video_overlay_color",
	"description" => esc_attr__("Select background color", "buildme"),
	"group" => esc_attr__("Custom Design Options", "buildme")
));

vc_add_param("vc_row", array(
	"type" => "dropdown",
	"heading" => esc_attr__("Bottom Button", "buildme"),
	"param_name" => "bottom_button",
	"value" => array("", "off", "on"),
	"admin_label" => false,
	"description" => esc_attr__("If selected, you can put a button bottom of your row, useful to jump in page.", "buildme")
));

vc_add_param("vc_row", array(
	"type" => "select_an_icon",
	"heading" => esc_attr__("Icon", "js_composer"),
	"param_name" => "bottom_button_icon",
	"description" => esc_attr__("Select an icon from the list of available icon set.", "buildme"),
	"dependency" => Array('element' => "bottom_button", 'value' => 'on')
));

vc_add_param("vc_row", array(
	"type" => "textfield",
	"heading" => esc_attr__("Link", "js_composer"),
	"param_name" => "bottom_button_link",
	"dependency" => Array('element' => "bottom_button", 'value' => 'on')
));

vc_add_param("vc_row", array(
	"type" => "colorpicker",
	"heading" => esc_attr__("Color", "js_composer"),
	"param_name" => "bottom_button_color",
	"dependency" => Array('element' => "bottom_button", 'value' => 'on'),
	"value" => "#222222"
));
/**
* VC TOGGLE
*/
vc_add_param("vc_toggle", array(
	"type" => 'dropdown',
	"heading" => esc_attr__("Size", "js_composer"),
	"param_name" => "heading_size",
	"description" => esc_attr__("Select size of your heading", "buildme"),
	"value" => array("", "h4", "h1", "h2", "h3", "h5", "h6")
));

/**
* VC BUTTON 2
*/
vc_add_param("vc_button2", array(
	"type" => "dropdown",
	"heading" => esc_attr__("Full Width?", "buildme"),
	"param_name" => "full_width",
	"value" => array("", "no", "yes"),
	"group" => esc_attr__("BuildMe Customize", "buildme"),
	"admin_label" => false
));
vc_add_param("vc_button2", array(
	"type" => "dropdown",
	"heading" => esc_attr__("Custom Style?", "buildme"),
	"param_name" => "btn_custom_style",
	"value" => array("", "no", "yes"),
	"group" => esc_attr__("BuildMe Customize", "buildme"),
	"admin_label" => false
));
vc_add_param("vc_button2", array(
	"type" => "colorpicker",
	"heading" => esc_attr__('Background Color', 'buildme'),
	"param_name" => "back_color",
	"description" => esc_attr__("Select background color", "buildme"),
	"dependency" => Array('element' => "btn_custom_style", 'value' => 'yes'),
	"group" => esc_attr__("BuildMe Customize", "buildme"),
	"value" => "#ffd200"
));
vc_add_param("vc_button2", array(
	"type" => "colorpicker",
	"heading" => esc_attr__('Font Color', 'buildme'),
	"param_name" => "font_color",
	"description" => esc_attr__("Select font face color", "buildme"),
	"dependency" => Array('element' => "btn_custom_style", 'value' => 'yes'),
	"group" => esc_attr__("BuildMe Customize", "buildme"),
	"value" => "#000000"
));
vc_add_param("vc_button2", array(
	"type" => "colorpicker",
	"heading" => esc_attr__('Outline Color', 'buildme'),
	"param_name" => "outline_color",
	"description" => esc_attr__("Outline color", "buildme"),
	"dependency" => Array('element' => "btn_custom_style", 'value' => 'yes'),
	"group" => esc_attr__("BuildMe Customize", "buildme"),
	"value" => "#ffd200"
));
?>
